1. Order
Bunjang Open API
  • Overview
  • Changelog
  • Authentication
  • Product Catalog
    • Service Base URL
    • Sample Data
    • Full Catalog Download
      GET
    • Segment Catalog Download
      GET
  • Rest API
    • Service Base URL
    • Error Codes
    • Product Category
      • List Categories
    • Brand
      • List Brands
    • Product
      • Get Product
      • Search Products
      • Filter On-Sale Products
    • Point
      • Get Point Balance
      • Create Point Charge
      • Get Point Charge
      • Cancel Point Charge
    • Order
      • Create Order
        POST
      • Confirm Order
        POST
      • Get Order
        GET
      • List Orders
        GET
      • Create Order (Deprecated)
        POST
  • Schemas
    • Product Condition
    • Product Active Sale Status
    • Order Status
  1. Order

Create Order (Deprecated)

Deprecated
Prod Env
https://openapi.bunjang.co.kr
Prod Env
https://openapi.bunjang.co.kr
POST
https://openapi.bunjang.co.kr
/api/v1/orders

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "product": {
        "id": 12345,
        "price": 500000
    },
    "deliveryPrice": 3000
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://openapi.bunjang.co.kr/api/v1/orders' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "product": {
        "id": 12345,
        "price": 500000
    },
    "deliveryPrice": 3000
}'

Responses

🟒200Success
application/json
Body

Example
{
    "data": {
        "id": 1,
        "seller": {
            "id": 12345,
            "shopName": "Bunjang Shop"
        },
        "product": {
            "id": 12345,
            "name": "Product Name",
            "price": 500000,
            "imageUrl": "https://media.bunjang.co.kr/product/12345_1_1727762609_w360.jpg"
        },
        "payment": {
            "productPrice": 500000,
            "deliveryPrice": 3000,
            "totalPrice": 503000
        },
        "detailUrl": "",
        "createdAt": "2024-08-01T13:00:00Z"
    }
}
🟠401INVALID_AUTH_TOKEN
🟠400BAD_REQUEST
Modified atΒ 2026-03-03 18:24:41
Previous
List Orders
Next
Product Condition
Built with